/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentcreateticket
#define headerfilecmslucontentcreateticket

#include "tdb.h"
#include "ticketinfo.h"
#include "functions/functionbase.h"


namespace Ticket
{


class CreateTicket : public FunctionBase
{
public:

	CreateTicket();
	void SetTDb(TDb * ptdb);
	void SetTicketInfo(TicketInfo * pinfo);

	void Clear();
	bool HasAccess(bool check_root);
	bool HasAccess();
	void MakePost();

private:

	bool FunCreateTicketCheckAbuse();
	void AddTicket();
	void PostFunCreateTicketLogAndRedirect();

	TDb * tdb;
	TicketInfo * ticket_info;
};


} // namespace

#endif
