/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentticket
#define headerfilecmslucontentticket

#include "tdb.h"
#include "ticketinfo.h"
#include "core/item.h"
#include "functions/functionbase.h"


namespace Ticket
{


class FunTicket : public FunctionBase
{
public:

	FunTicket();
	void SetTDb(TDb * ptdb);
	void SetTicketInfo(TicketInfo * pinfo);

	void Clear();
	bool HasAccess();
	void MakeGet();

private:

	void TicketDeleteFirst();
	TDb * tdb;
	TicketInfo * ticket_info;
};


} // namespace

#endif
