/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmsluplugin_stats_data
#define headerfilecmsluplugin_stats_data

#include "core/plugindata.h"


namespace Stats
{


// session data for the plugin
struct StatsSession : public PluginDataBase
{
	// whether this session has been calculated 
	bool calculated;
	long last_visited;

	StatsSession()
	{
		calculated   = false;
		last_visited = -1;
	}
};


} // namespace

#endif
